### Method

# Gtk Window set_hide_on_close

#### Declaration [src]

    void
    gtk_window_set_hide_on_close (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

Sets whether clicking the close button will hide the window instead of destroying it.

Sets property | `Gtk.Window:hide-on-close`

#### Parameters

`setting`

  Type: `gboolean`

  Whether to hide the window when it is closed.